Method: projects.locations.intelligenceFindings.summarize

Summarizes intelligence findings for an organization, a folder, or a project.

REST format

GET /v2/{parent=projects/PROJECT_ID/locations/LOCATION}/intelligenceFindings:summarize
GET /v2/{parent=folders/FOLDER_ID/locations/LOCATION}/intelligenceFindings:summarize
GET /v2/{parent=organizations/ORGANIZATION_ID/locations/LOCATION}/intelligenceFindings:summarize

HTTP body

The HTTP request has no request body.

Query parameters

Parameters
parent

string

Required. The scope for which to summarize the findings.
Format:

  • organizations/ORGANIZATION_ID/locations/LOCATION
  • folders/FOLDER_ID/locations/LOCATION
  • projects/PROJECT_ID/locations/LOCATION

resourceScope

enum (ResourceScope)

Optional. Determines the granularity of the findings when the parent is an organization or folder.

  • PARENT (or not set): The API returns a single summary for each insight type, aggregated across the entire parent scope.
  • PROJECT: The API returns a separate summary for each insight type for every project within the parent scope.
The only supported values are PARENT and PROJECT. If you don't specify a value, the API defaults to the PARENT behavior.

filter

string

Optional. The filter expression, following AIP-160. Supports filtering by FindingType.

pageSize

integer

Optional. The maximum number of findings to return. The maximum value is 100; values above 100 are coerced to 100. The default value is 100.

pageToken

string

Optional. A page token, received from a previous SummarizeIntelligenceFindings call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to SummarizeIntelligenceFindings must match the call that provided the page token.

ResourceScope

Describes the available resource scopes for summarizing findings.

Enums
RESOURCE_SCOPE_UNSPECIFIED The default behavior. Defaults to PARENT behavior.
PARENT The API aggregates summaries at the level of the parent resource.
PROJECT The API breaks down summaries by each project within the parent scope.

Response

If the request is successful, the response body contains the following data structure:

JSON representation
{
  "findingSummaries": [
    {
      object (FindingSummary)
    }
  ],
  "nextPageToken": string
}
Fields
findingSummaries[]

object (FindingSummary)

The list of FindingSummary summaries.

nextPageToken

string

A token to retrieve the next page of results. Pass this value in the pageToken field in the subsequent call to SummarizeIntelligenceFindings.

Authorization

Requires the following Google IAM permission on the specified resource:

  • storage.buckets.viewIntelligenceDetails